# Retrieve purchased addons for a specific service.

Retrieve purchased addons for a specific service.

Endpoint: GET /user/services/{service_id}/addons
Version: 2.0.0

## Path parameters:

  - `service_id` (integer, required)
    Service ID
    Example: 789

## Query parameters:

  - `page` (integer)
    Page number
    Example: 1

  - `page_size` (integer)
    Number of items per page. The maximum allowed value is 500. The default value is 50.
    Example: 10

## Response 200 fields (application/json):

  - `data` (array, required)

  - `data.id` (integer, required)
    Example: 456

  - `data.addon` (object)

  - `data.addon.id` (integer, required)
    Example: 123

  - `data.addon.name` (string,null)
    Example: "Shared web hosting"

  - `data.addon.description` (string,null)

  - `data.service` (object)

  - `data.service.id` (integer, required)
    Example: 123

  - `data.quantity` (integer,null)

  - `data.status` (string)
    Example: "Active"

  - `data.registration_date` (string)
    Example: "2022-01-05"

  - `data.billing` (object,null, required)

  - `data.billing.cycle` (string,null)
    Billing cycle's frequency.
    Enum: "free", "onetime", "monthly", "quarterly", "semiannually", "annually", "biennially", "triennially"

  - `data.billing.price` (object,null)

  - `data.billing.price.first_payment` (object)

  - `data.billing.price.first_payment.amount` (object, required)

  - `data.billing.price.first_payment.amount.value` (string, required)
    Example: "19.99"

  - `data.billing.price.first_payment.amount.code` (string, required)
    Example: "USD"

  - `data.billing.price.first_payment.amount.display_value` (string, required)
    Example: "$19.99 USD"

  - `data.billing.price.first_payment.amount.prefix` (string, required)
    Optional currency prefix
    Example: "$"

  - `data.billing.price.first_payment.amount.suffix` (string, required)
    Optional currency prefix
    Example: " USD"

  - `data.billing.price.recurring` (object)

  - `data.billing.price.recurring.amount` (object, required)

  - `data.billing.payment_gateway` (object,null)

  - `data.billing.payment_gateway.name` (string, required)
    Name of the payment gateway module.
    Example: "banktransfer"

  - `data.billing.payment_gateway.description` (string)
    The friendly name of the payment gateway module.
    Example: "Bank Transfer"

  - `data.billing.next_due_date` (string,null)
    Example: "2022-05-01"

  - `data.renewal` (object)

  - `data.renewal.id` (integer, required)
    Example: 789

  - `data.renewal.type` (string, required)
    Enum: "addon", "service"

  - `data.renewal.is_renewable` (boolean, required)

  - `data.renewal.non_renewable_reason` (string,null)
    Example: "This service addon is not renewable because it has been cancelled."

  - `data.renewal.renewal_period` (object)
    Example: "Active"

  - `data.renewal.renewal_period.start` (string)
    Example: "2023-03-14"

  - `data.renewal.renewal_period.end` (string)
    Example: "2024-04-14"

  - `data.renewal.price` (object,null, required)

  - `data.renewal.price.value` (string, required)
    Example: "19.99"

  - `data.renewal.price.code` (string, required)
    Example: "USD"

  - `data.renewal.price.display_value` (string, required)
    Example: "$19.99 USD"

  - `data.renewal.price.prefix` (string, required)
    Optional currency prefix
    Example: "$"

  - `data.renewal.price.suffix` (string, required)
    Optional currency prefix
    Example: " USD"

## Response 401 fields (application/json):

  - `message` (string)


